PHP Manual
Prev |  | Next

# ps_set_info

(PECL)

ps_set_info -- Sets information fields of document

## Description

bool ps_set_info ( resource p, string key, string val )

Sets certain information fields of the document. This fields will be shown as a comment in the header of the PostScript file. The values which can be set are Keywords, Subject, Title, Creator, Author, BoundingBox, and Orientation. Be aware that some of them has a meaning to PostScript viewers.

The BoundingBox is usually set to the value given to the first page. This only works if ps_findfont() has not been called before. In such cases the BoundingBox would be left unset unless you set it explicitly with this function.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

ps_findfont()
ps_begin_page()

Prev | Home | Next
ps_set_border_style | Up | ps_set_parameter